zeromq4-haskell-0.8.0: Bindings to ZeroMQ 4.x

Safe Haskell | None
Language | Haskell98

System.ZMQ4.Internal.Base

Description

Warning: This is an internal module and subject to change without notice.

# Documentation

newtype ZMQMsg Source #

Constructors

ZMQMsg |

Fields

- content :: Ptr ()

#### Instances

Instances details

Storable ZMQMsg Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

sizeOf :: ZMQMsg -> Int Source #

alignment :: ZMQMsg -> Int Source #

peekElemOff :: Ptr ZMQMsg -> Int -> IO ZMQMsg Source #

pokeElemOff :: Ptr ZMQMsg -> Int -> ZMQMsg -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO ZMQMsg Source #

pokeByteOff :: Ptr b -> Int -> ZMQMsg -> IO () Source #

peek :: Ptr ZMQMsg -> IO ZMQMsg Source #

poke :: Ptr ZMQMsg -> ZMQMsg -> IO () Source #

Eq ZMQMsg Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQMsg -> ZMQMsg -> Bool Source # (/=) :: ZMQMsg -> ZMQMsg -> Bool Source #
Ord ZMQMsg Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods compare :: ZMQMsg -> ZMQMsg -> Ordering Source # (<) :: ZMQMsg -> ZMQMsg -> Bool Source # (<=) :: ZMQMsg -> ZMQMsg -> Bool Source # (>) :: ZMQMsg -> ZMQMsg -> Bool Source # (>=) :: ZMQMsg -> ZMQMsg -> Bool Source # max :: ZMQMsg -> ZMQMsg -> ZMQMsg Source # min :: ZMQMsg -> ZMQMsg -> ZMQMsg Source #

data ZMQPoll Source #

Constructors

ZMQPoll |

Fields

- pSocket :: !ZMQSocket
- pFd :: !CInt
- pEvents :: !CShort
- pRevents :: !CShort

#### Instances

Instances details

Storable ZMQPoll Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

sizeOf :: ZMQPoll -> Int Source #

alignment :: ZMQPoll -> Int Source #

peekElemOff :: Ptr ZMQPoll -> Int -> IO ZMQPoll Source #

pokeElemOff :: Ptr ZMQPoll -> Int -> ZMQPoll -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO ZMQPoll Source #

pokeByteOff :: Ptr b -> Int -> ZMQPoll -> IO () Source #

peek :: Ptr ZMQPoll -> IO ZMQPoll Source #

poke :: Ptr ZMQPoll -> ZMQPoll -> IO () Source #

type ZMQMsgPtr = Ptr ZMQMsg Source #

type ZMQCtx = Ptr () Source #

type ZMQSocket = Ptr () Source #

type ZMQPollPtr = Ptr ZMQPoll Source #

newtype ZMQSocketType Source #

Constructors

ZMQSocketType |

Fields

- typeVal :: CInt

#### Instances

Instances details

Eq ZMQSocketType Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQSocketType -> ZMQSocketType -> Bool Source # (/=) :: ZMQSocketType -> ZMQSocketType -> Bool Source #
Ord ZMQSocketType Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQSocketType -> ZMQSocketType -> Ordering Source #

(<) :: ZMQSocketType -> ZMQSocketType -> Bool Source #

(<=) :: ZMQSocketType -> ZMQSocketType -> Bool Source #

(>) :: ZMQSocketType -> ZMQSocketType -> Bool Source #

(>=) :: ZMQSocketType -> ZMQSocketType -> Bool Source #

max :: ZMQSocketType -> ZMQSocketType -> ZMQSocketType Source #

min :: ZMQSocketType -> ZMQSocketType -> ZMQSocketType Source #

pair :: ZMQSocketType Source #

pub :: ZMQSocketType Source #

sub :: ZMQSocketType Source #

xpub :: ZMQSocketType Source #

xsub :: ZMQSocketType Source #

request :: ZMQSocketType Source #

response :: ZMQSocketType Source #

dealer :: ZMQSocketType Source #

router :: ZMQSocketType Source #

newtype ZMQOption Source #

Constructors

ZMQOption |

Fields

- optVal :: CInt

#### Instances

Instances details

Eq ZMQOption Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQOption -> ZMQOption -> Bool Source # (/=) :: ZMQOption -> ZMQOption -> Bool Source #
Ord ZMQOption Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQOption -> ZMQOption -> Ordering Source #

(<) :: ZMQOption -> ZMQOption -> Bool Source #

(<=) :: ZMQOption -> ZMQOption -> Bool Source #

(>) :: ZMQOption -> ZMQOption -> Bool Source #

(>=) :: ZMQOption -> ZMQOption -> Bool Source #

max :: ZMQOption -> ZMQOption -> ZMQOption Source #

min :: ZMQOption -> ZMQOption -> ZMQOption Source #

pull :: ZMQSocketType Source #

push :: ZMQSocketType Source #

stream :: ZMQSocketType Source #

affinity :: ZMQOption Source #

backlog :: ZMQOption Source #

conflate :: ZMQOption Source #

curve :: ZMQOption Source #

curvePublicKey :: ZMQOption Source #

curveSecretKey :: ZMQOption Source #

curveServer :: ZMQOption Source #

curveServerKey :: ZMQOption Source #

delayAttachOnConnect :: ZMQOption Source #

events :: ZMQOption Source #

filedesc :: ZMQOption Source #

identity :: ZMQOption Source #

immediate :: ZMQOption Source #

ipv4Only :: ZMQOption Source #

ipv6 :: ZMQOption Source #

lastEndpoint :: ZMQOption Source #

linger :: ZMQOption Source #

maxMessageSize :: ZMQOption Source #

mcastHops :: ZMQOption Source #

mechanism :: ZMQOption Source #

null :: ZMQOption Source #

plain :: ZMQOption Source #

plainPassword :: ZMQOption Source #

plainServer :: ZMQOption Source #

plainUserName :: ZMQOption Source #

probeRouter :: ZMQOption Source #

rate :: ZMQOption Source #

receiveBuf :: ZMQOption Source #

newtype ZMQCtxOption Source #

Constructors

ZMQCtxOption |

Fields

- ctxOptVal :: CInt

#### Instances

Instances details

Eq ZMQCtxOption Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source # (/=) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source #
Ord ZMQCtxOption Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQCtxOption -> ZMQCtxOption -> Ordering Source #

(<) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source #

(<=) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source #

(>) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source #

(>=) :: ZMQCtxOption -> ZMQCtxOption -> Bool Source #

max :: ZMQCtxOption -> ZMQCtxOption -> ZMQCtxOption Source #

min :: ZMQCtxOption -> ZMQCtxOption -> ZMQCtxOption Source #

receiveHighWM :: ZMQOption Source #

receiveMore :: ZMQOption Source #

_ioThreads :: ZMQCtxOption Source #

receiveTimeout :: ZMQOption Source #

_maxSockets :: ZMQCtxOption Source #

reconnectIVL :: ZMQOption Source #

reconnectIVLMax :: ZMQOption Source #

recoveryIVL :: ZMQOption Source #

newtype ZMQEventType Source #

Constructors

ZMQEventType |

Fields

- eventTypeVal :: Word16

#### Instances

Instances details

Storable ZMQEventType Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

sizeOf :: ZMQEventType -> Int Source #

alignment :: ZMQEventType -> Int Source #

peekElemOff :: Ptr ZMQEventType -> Int -> IO ZMQEventType Source #

pokeElemOff :: Ptr ZMQEventType -> Int -> ZMQEventType -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO ZMQEventType Source #

pokeByteOff :: Ptr b -> Int -> ZMQEventType -> IO () Source #

peek :: Ptr ZMQEventType -> IO ZMQEventType Source #

poke :: Ptr ZMQEventType -> ZMQEventType -> IO () Source #

Show ZMQEventType Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods showsPrec :: Int -> ZMQEventType -> ShowS Source # show :: ZMQEventType -> String Source # showList :: [ZMQEventType] -> ShowS Source #
Eq ZMQEventType Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQEventType -> ZMQEventType -> Bool Source # (/=) :: ZMQEventType -> ZMQEventType -> Bool Source #
Ord ZMQEventType Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQEventType -> ZMQEventType -> Ordering Source #

(<) :: ZMQEventType -> ZMQEventType -> Bool Source #

(<=) :: ZMQEventType -> ZMQEventType -> Bool Source #

(>) :: ZMQEventType -> ZMQEventType -> Bool Source #

(>=) :: ZMQEventType -> ZMQEventType -> Bool Source #

max :: ZMQEventType -> ZMQEventType -> ZMQEventType Source #

min :: ZMQEventType -> ZMQEventType -> ZMQEventType Source #

reqCorrelate :: ZMQOption Source #

reqRelaxed :: ZMQOption Source #

connected :: ZMQEventType Source #

routerMandatory :: ZMQOption Source #

connectDelayed :: ZMQEventType Source #

sendBuf :: ZMQOption Source #

connectRetried :: ZMQEventType Source #

sendHighWM :: ZMQOption Source #

listening :: ZMQEventType Source #

sendTimeout :: ZMQOption Source #

bindFailed :: ZMQEventType Source #

subscribe :: ZMQOption Source #

accepted :: ZMQEventType Source #

tcpAcceptFilter :: ZMQOption Source #

acceptFailed :: ZMQEventType Source #

tcpKeepAlive :: ZMQOption Source #

closed :: ZMQEventType Source #

tcpKeepAliveCount :: ZMQOption Source #

closeFailed :: ZMQEventType Source #

tcpKeepAliveIdle :: ZMQOption Source #

data ZMQEvent Source #

Constructors

ZMQEvent |

Fields

- zeEvent :: !ZMQEventType
- zeValue :: !Int32

disconnected :: ZMQEventType Source #

tcpKeepAliveInterval :: ZMQOption Source #

allEvents :: ZMQEventType Source #

unsubscribe :: ZMQOption Source #

monitorStopped :: ZMQEventType Source #

xpubVerbose :: ZMQOption Source #

zapDomain :: ZMQOption Source #

peekZMQEvent :: ZMQMsgPtr -> IO ZMQEvent Source #

newtype ZMQSecMechanism Source #

Constructors

ZMQSecMechanism |

Fields

- secMechanism :: Int

#### Instances

Instances details

Show ZMQSecMechanism Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods showsPrec :: Int -> ZMQSecMechanism -> ShowS Source # show :: ZMQSecMechanism -> String Source # showList :: [ZMQSecMechanism] -> ShowS Source #
Eq ZMQSecMechanism Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source # (/=) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source #
Ord ZMQSecMechanism Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQSecMechanism -> ZMQSecMechanism -> Ordering Source #

(<) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source #

(<=) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source #

(>) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source #

(>=) :: ZMQSecMechanism -> ZMQSecMechanism -> Bool Source #

max :: ZMQSecMechanism -> ZMQSecMechanism -> ZMQSecMechanism Source #

min :: ZMQSecMechanism -> ZMQSecMechanism -> ZMQSecMechanism Source #

secNull :: ZMQSecMechanism Source #

secPlain :: ZMQSecMechanism Source #

secCurve :: ZMQSecMechanism Source #

newtype ZMQMsgOption Source #

Constructors

ZMQMsgOption |

Fields

- msgOptVal :: CInt

#### Instances

Instances details

Eq ZMQMsgOption Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source # (/=) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source #
Ord ZMQMsgOption Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQMsgOption -> ZMQMsgOption -> Ordering Source #

(<) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source #

(<=) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source #

(>) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source #

(>=) :: ZMQMsgOption -> ZMQMsgOption -> Bool Source #

max :: ZMQMsgOption -> ZMQMsgOption -> ZMQMsgOption Source #

min :: ZMQMsgOption -> ZMQMsgOption -> ZMQMsgOption Source #

more :: ZMQMsgOption Source #

newtype ZMQFlag Source #

Constructors

ZMQFlag |

Fields

- flagVal :: CInt

#### Instances

Instances details

Eq ZMQFlag Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQFlag -> ZMQFlag -> Bool Source # (/=) :: ZMQFlag -> ZMQFlag -> Bool Source #
Ord ZMQFlag Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods compare :: ZMQFlag -> ZMQFlag -> Ordering Source # (<) :: ZMQFlag -> ZMQFlag -> Bool Source # (<=) :: ZMQFlag -> ZMQFlag -> Bool Source # (>) :: ZMQFlag -> ZMQFlag -> Bool Source # (>=) :: ZMQFlag -> ZMQFlag -> Bool Source # max :: ZMQFlag -> ZMQFlag -> ZMQFlag Source # min :: ZMQFlag -> ZMQFlag -> ZMQFlag Source #

dontWait :: ZMQFlag Source #

sndMore :: ZMQFlag Source #

newtype ZMQPollEvent Source #

Constructors

ZMQPollEvent |

Fields

- pollVal :: CShort

#### Instances

Instances details

Eq ZMQPollEvent Source # |
Instance details Defined in System.ZMQ4.Internal.Base Methods (==) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source # (/=) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source #
Ord ZMQPollEvent Source # |

Instance details

Defined in System.ZMQ4.Internal.Base

Methods

compare :: ZMQPollEvent -> ZMQPollEvent -> Ordering Source #

(<) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source #

(<=) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source #

(>) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source #

(>=) :: ZMQPollEvent -> ZMQPollEvent -> Bool Source #

max :: ZMQPollEvent -> ZMQPollEvent -> ZMQPollEvent Source #

min :: ZMQPollEvent -> ZMQPollEvent -> ZMQPollEvent Source #

pollIn :: ZMQPollEvent Source #

pollOut :: ZMQPollEvent Source #

pollerr :: ZMQPollEvent Source #

c_zmq_version :: Ptr CInt -> Ptr CInt -> Ptr CInt -> IO () Source #

c_zmq_ctx_new :: IO ZMQCtx Source #

c_zmq_ctx_shutdown :: ZMQCtx -> IO CInt Source #

c_zmq_ctx_term :: ZMQCtx -> IO CInt Source #

c_zmq_ctx_get :: ZMQCtx -> CInt -> IO CInt Source #

c_zmq_ctx_set :: ZMQCtx -> CInt -> CInt -> IO CInt Source #

c_zmq_msg_init :: ZMQMsgPtr -> IO CInt Source #

c_zmq_msg_init_size :: ZMQMsgPtr -> CSize -> IO CInt Source #

c_zmq_msg_close :: ZMQMsgPtr -> IO CInt Source #

c_zmq_msg_data :: ZMQMsgPtr -> IO (Ptr a) Source #

c_zmq_msg_size :: ZMQMsgPtr -> IO CSize Source #

c_zmq_msg_get :: ZMQMsgPtr -> CInt -> IO CInt Source #

c_zmq_msg_set :: ZMQMsgPtr -> CInt -> CInt -> IO CInt Source #

c_zmq_socket :: ZMQCtx -> CInt -> IO ZMQSocket Source #

c_zmq_close :: ZMQSocket -> IO CInt Source #

c_zmq_setsockopt :: ZMQSocket -> CInt -> Ptr () -> CSize -> IO CInt Source #

c_zmq_getsockopt :: ZMQSocket -> CInt -> Ptr () -> Ptr CSize -> IO CInt Source #

c_zmq_bind :: ZMQSocket -> CString -> IO CInt Source #

c_zmq_unbind :: ZMQSocket -> CString -> IO CInt Source #

c_zmq_connect :: ZMQSocket -> CString -> IO CInt Source #

c_zmq_disconnect :: ZMQSocket -> CString -> IO CInt Source #

c_zmq_sendmsg :: ZMQSocket -> ZMQMsgPtr -> CInt -> IO CInt Source #

c_zmq_recvmsg :: ZMQSocket -> ZMQMsgPtr -> CInt -> IO CInt Source #

c_zmq_socket_monitor :: ZMQSocket -> CString -> CInt -> IO CInt Source #

c_zmq_errno :: IO CInt Source #

c_zmq_strerror :: CInt -> IO CString Source #

c_zmq_proxy :: ZMQSocket -> ZMQSocket -> ZMQSocket -> IO CInt Source #

c_zmq_poll :: ZMQPollPtr -> CInt -> CLong -> IO CInt Source #

c_zmq_z85_encode :: CString -> Ptr Word8 -> CSize -> IO CString Source #

c_zmq_z85_decode :: Ptr Word8 -> CString -> IO (Ptr Word8) Source #

c_zmq_curve_keypair :: CString -> CString -> IO CInt Source #